//
//  Tool.m
//  Runner
//
//  Created by 周泽南 on 2021/8/12.
//

#import "Tool.h"

#define WeakSelf __weak typeof(self) weakSelf = self;
// 字符串为空
#define StringIsEmpty(__string) ((__string.length == 0) || EPObjectIsNil(__string)) || [__string isEqualToString:@"(null)"] || [__string isEqualToString:@"null"]


@implementation Tool

+(CGSize)getTitleHeight:(NSString *)title withSize:(float)fontSize  height:(float)height
{
    UIFont *font = [UIFont systemFontOfSize:fontSize];
    
    CGRect computeFrame =  [title boundingRectWithSize:CGSizeMake(MAXFLOAT,height) options:NSStringDrawingUsesLineFragmentOrigin attributes:[NSDictionary dictionaryWithObjectsAndKeys:font,NSFontAttributeName,nil] context:nil];
    return computeFrame.size;
}

+(CGSize)getTitleWidth:(NSString *)title withSize:(float)fontSize width:(float)width
{
    UIFont *font = [UIFont systemFontOfSize:fontSize];
    
    CGRect computeFrame =  [title boundingRectWithSize:CGSizeMake(width,MAXFLOAT) options:NSStringDrawingUsesLineFragmentOrigin attributes:[NSDictionary dictionaryWithObjectsAndKeys:font,NSFontAttributeName,nil] context:nil];
    return computeFrame.size;
}

@end
